curl 'https://api.sandbox.uqpay.org/api/v1/cards/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"card_id":"705c6822-29c8-41c3-baf7-c6c49a0c25ee","card_name":"test"}'
{
"code": 200,
"message": "Success"
}
Cards
Update a card
This endpoint update a card name by card id.
POST
/
api
/
v1
/
cards
/
update
curl 'https://api.sandbox.uqpay.org/api/v1/cards/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"card_id":"705c6822-29c8-41c3-baf7-c6c49a0c25ee","card_name":"test"}'
{
"code": 200,
"message": "Success"
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
string
required
Unique Identifier for card.
string
required
A name for the card.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"card_id":"705c6822-29c8-41c3-baf7-c6c49a0c25ee","card_name":"test"}'
{
"code": 200,
"message": "Success"
}